#!/bin/zsh

BASEDIR=$(dirname "$0")
cd "$BASEDIR"

# Need to normalize the unnicdoe string being passed in as Keyboard Maestro is
# passing it decompressed in a way that does not match to the version in Shortcuts.
# e.g. for an e Acute, it would get converted from "c3 a9" to "81 20"
# so we need to convert it back before we can use it. To do that, we'll use
# a command line utility bundled with the plugin.
scName=$(./unorml -c "$KMPARAM_Name")

if [[ "$KMPARAM_Input_Type" == "None" ]] then
	# Run shortcut
	shortcuts run "$scName"
elif [[ "$KMPARAM_Input_Type" == "Text" ]] then
	# Run shortcut with specified text as input
	echo -n "$KMPARAM_Text_Input" | shortcuts run "$scName"
else
	# Run shortcut with specified file as input
	shortcuts run "$scName" --input-path "$KMPARAM_Input_File_Path"
fi
